#!/bin/bash

if [ "x$SDCARD_WEBAPPS" = "x" ] ; then
  echo "Environment variable SDCARD_WEBAPPS undefined"
  echo "  => No valid directory to install to on Android device"
  echo "  => Did you run setup.bash before the Android device was in disk mode?"
  echo "  => Alternatively, set the environment variable explicitly"
  exit -1
fi


if [ ! -d $SDCARD_GSDL3HOME ] ; then
  # First time install has been run => do a full copy
  mode="Installing"

else
  # Only need to regenerate 'lib' folder
  mode="Updating"
fi

echo "#---"
echo "# $mode $GSDL3HOME -> $SDCARD_GSDL3HOME"
echo "# (this may take several minutes)"
echo "#---"
echo ""

if [ $mode = "Installing" ] ; then
  (cd $GSDL3HOME && find . -type d ) \
    | egrep -v '/\.svn' \
    | egrep -v 'sites/' \
    | egrep -v 'WEB-INF/classes' \
    | egrep -v 'WEB-INF/lib' \
    | xargs -I {} mkdir -p $SDCARD_GSDL3HOME/{}
fi

(cd $GSDL3HOME && find . -type f ) \
  | egrep -v '/\.svn' \
  | egrep -v 'sites/' \
  | egrep -v 'WEB-INF/classes' \
  | egrep -v 'WEB-INF/lib' \
  | xargs -I {} /bin/cp -u -v $GSDL3HOME/{} $SDCARD_GSDL3HOME/{}


if [ ! -d $SDCARD_GSDL3HOME/sites/localsite ] ; then
  echo "Creating 'localsite' in $SDCARD_GSDLHOME"
  mkdir $SDCARD_GSDL3HOME/sites/localsite
  mkdir $SDCARD_GSDL3HOME/sites/localsite/collect
fi

/bin/cp -u -v $GSDL3HOME/sites/localsite/siteConfig.xml $SDCARD_GSDL3HOME/sites/localsite/.

/bin/cp -u -v -r $GSDL3HOME/sites/localsite/etc $SDCARD_GSDL3HOME/sites/localsite/.

/bin/cp -u -v -r $GSDL3HOME/sites/localsite/collect/lucene-jdbm-demo $SDCARD_GSDL3HOME/sites/localsite/collect/.





